Cyberduck Mountain Duck CLI

#9584 closed defect (fixed)

Verify File Copy

Reported by: DvdinSD Owned by:
Priority: highest Milestone: 5.0
Component: core Version: 5.0
Severity: blocker Keywords:
Cc: Architecture:
Platform: Mac OS X 10.11

Description

I am trying to verify files I transferred via CyberDuck were transferred accurately. Is there a way to verify files transferred accurately?

Change History (6)

comment:1 Changed on Jun 5, 2016 at 7:48:16 PM by DvdinSD

  • Type changed from feature to defect

comment:2 Changed on Jun 6, 2016 at 7:51:04 AM by dkocher

  • Resolution set to duplicate
  • Status changed from new to closed

When transferring files to some services (Backblaze B2, Amazon S3), a checksum is provided with the file data sent to allow the server to check the integrity. For WebDAV, OpenStack Swift uploads we also check the integrity of the file by calculating a checksum and comparing it with the response from the server after the upload completes. For FTP and SFTP no integrity check is performed.

Duplicate for #9367.

comment:3 Changed on Jun 6, 2016 at 9:17:16 PM by DvdinSD

Do I understand correctly - for Amazon S3, the checksum verification is performed automatically such that all files uploaded with Cyberduck have file integrity verified and we do not need to perform any other integrity checks on these files?

comment:4 follow-up: Changed on Jun 6, 2016 at 9:17:57 PM by DvdinSD

  • Resolution duplicate deleted
  • Status changed from closed to reopened

Do I understand correctly - for Amazon S3, the checksum verification is performed automatically such that all files uploaded with Cyberduck have file integrity verified and we do not need to perform any other integrity checks on these files?

comment:5 in reply to: ↑ 4 Changed on Jun 7, 2016 at 7:46:15 AM by dkocher

Replying to DvdinSD:

Do I understand correctly - for Amazon S3, the checksum verification is performed automatically such that all files uploaded with Cyberduck have file integrity verified and we do not need to perform any other integrity checks on these files?

That is true. For Amazon S3, files are verified both by AWS when the file is received and compared with the checksum sent by Cyberduck. Additionally we also compare the checksum returned by AWS for the uploaded file with the checksum computed locally.

comment:6 Changed on Jun 7, 2016 at 7:49:12 AM by dkocher

  • Milestone set to 5.0
  • Resolution set to fixed
  • Status changed from reopened to closed

If the checksums do not match you will get an error Mismatch between {0} hash {1} of downloaded data and ETag {2} returned by the server for downloads and Mismatch between MD5 hash {0} of uploaded data and ETag {1} returned by the server for uploads .

Note: See TracTickets for help on using tickets.
swiss made software